Subject: Re: linux-next: build failure after merge of the tip tree

From: Mark Brown <[email-masked]>
Date: Wed, 11 Mar 2026 15:20:00 +0000

On Wed, Mar 11, 2026 at 08:21:50PM +0530, Ojaswin Mujoo wrote:
> On Wed, Mar 11, 2026 at 12:00:20AM +0000, Mark Brown wrote:
> > On Tue, Mar 10, 2026 at 06:28:30PM +0000, Mark Brown wrote:

> > > I didn't figure out what the source of the issue was, I merged the tip
> > > tree from 20260309 instead.

> > with just tip/master.  My KUnit command line running on current Debian
> > stable is:

> >     ./tools/testing/kunit/kunit.py run --alltests --arch arm64 --cross_compile=aarch64-linux-gnu-

> >     ./tools/testing/kunit/kunit.py run --alltests --arch x86_64 --cross_compile=x86_64-linux-gnu-

> Hi Mark, I'm unable to hit this bug with the 20260310 branch [1]. Am I
> on the wrong branch? I'm using the following command on x86 machine:

See above, because of this test failure I did not merge the current
version of the tip tree which triggers the issue, you need to fetch the
tip tree:

  https://git.kernel.org/pub/scm/linux/kernel/git/tip/tip.git master

> Also IIUC there's another deadlock issue you are
> facing other than the one here? Would you be able to try out this
> patchset [2], it fixes some of the cleanup related functions which might
> fix this issue.

There was a delightful issue which is already fixed in current mainline:

   https://lore.kernel.org/r/20260224-mittlerweile-besessen-2738831ae7f6@brauner

but which was present in -rc1.  I've not seen anything specifically
about any ext4 issues.